Subject: Re: [dispatch] SIP Overload Control Design: Loop Control

From: Volker Hilt <[email-masked]>
Date: Sat, 11 Jul 2009 12:33:23 -0400

Tim,

the case you are describing is discussed in the current draft in the 
Topologies section:

    If A can reliably determine that D, E and F are its only downstream
    neighbors and all of them are in overload, it may choose to report
    overload upstream on behalf of D, E and F.

The section you were referring to discusses end-to-end overload control, 
however, the example is a hop-by-hop control.

Thanks,

Volker

Moran, Timothy L. wrote:
> Volker,
> 
> 
> 
> A comment on the control loop paragraph in section 2 of the design 
> considerations for OLC:
> 
> “A control loop spanning multiple hops can be used if the sending
> entity has full knowledge about the SIP servers on the path of a SIP
> message.”
> 
> 
> 
> I read this as the sending entity is required to have full knowledge
> of the entire path.  I offer that that may not be the case.  It may
> be possible to only require knowledge of one _level_ downstream.
> This sounds pretty much like your example except that the example
> limits the case to “one” downstream server.  Referring back to the
> requirements case of two load balancing servers and the upstream
> server “PA”, server PA can declare overload upstream by knowing that
> servers P1 _and_ P2 are overloaded.
> 
> 
> 
> Perhaps what I am trying to say is that an upstream server in a
> managed network would declare overload (upstream) based on knowledge
> that all next-hop servers are overloaded.
> 
> 
> 
> Br,
> 
> Tim M.
> 
> 
> 
> 
> 
> 
> 
> 
> ------------------------------------------------------------------------
> 
> 
> _______________________________________________ dispatch mailing list
>  [email-masked] https://www.ietf.org/mailman/listinfo/dispatch